Skip to main content
GET
List companies

Authorizations

Authorization
string
header
required

API key from Settings > Developer. Format: alva_sk_...

Query Parameters

page
integer
default:1

Page number

Required range: x >= 1
limit
integer
default:25

Items per page (max 100)

Required range: 1 <= x <= 100
sort
string

Sort by field:direction. Fields: name, createdAt, updatedAt, industry, location. Direction: asc or desc. Example: createdAt:desc

Search by company name

industry
string

Filter by industry

lifecycleStage
enum<string>

Filter by lifecycle stage. Use "unknown" to match companies with no stage set.

Available options:
target,
prospect,
lead,
customer,
evaluating,
engaging,
negotiating,
vendor,
partner,
supplier,
unknown

Response

List of companys

data
object[]
pagination
object
resource
string